import { Span, Trace } from '../types';
import { SentryProfileWithTraceMeta } from './sentryDataCache';

export declare function getSpansFromProfile(trace: Trace, profile: SentryProfileWithTraceMeta, parent_span_id: string | undefined, startTs: number, endTs: number, threadIds: Set<string>): Span[];
/**
 * Modifies the spanTree in place recursively by adding spans from the
 * profile data where there are gaps in the trace data.
 * @param spanTree Span[] The tree of spans to graft profile spans into
 */
export declare function graftProfileSpans(trace: Trace, spanTree?: Span[], parent?: Span | Trace, profile?: SentryProfileWithTraceMeta): void;
