import { DOMAttributes, MouseEvent, RefObject } from 'react';

type CallbackArgs = {
    height: number;
    left: number;
    top: number;
    width: number;
};
type Opts<T extends Element> = {
    elem: RefObject<T>;
    onPositionChange: (args: undefined | CallbackArgs) => void;
} & DOMAttributes<T>;
declare function useMouseTracking<T extends Element>({ elem, onPositionChange, onMouseEnter, onMouseMove, onMouseLeave, ...rest }: Opts<T>): {
    onMouseEnter: (e: MouseEvent<T>) => void;
    onMouseMove: (e: MouseEvent<T>) => void;
    onMouseLeave: (e: MouseEvent<T>) => void;
    children?: import('react').ReactNode | undefined;
    dangerouslySetInnerHTML?: {
        __html: string | TrustedHTML;
    } | undefined;
    onCopy?: import('react').ClipboardEventHandler<T> | undefined;
    onCopyCapture?: import('react').ClipboardEventHandler<T> | undefined;
    onCut?: import('react').ClipboardEventHandler<T> | undefined;
    onCutCapture?: import('react').ClipboardEventHandler<T> | undefined;
    onPaste?: import('react').ClipboardEventHandler<T> | undefined;
    onPasteCapture?: import('react').ClipboardEventHandler<T> | undefined;
    onCompositionEnd?: import('react').CompositionEventHandler<T> | undefined;
    onCompositionEndCapture?: import('react').CompositionEventHandler<T> | undefined;
    onCompositionStart?: import('react').CompositionEventHandler<T> | undefined;
    onCompositionStartCapture?: import('react').CompositionEventHandler<T> | undefined;
    onCompositionUpdate?: import('react').CompositionEventHandler<T> | undefined;
    onCompositionUpdateCapture?: import('react').CompositionEventHandler<T> | undefined;
    onFocus?: import('react').FocusEventHandler<T> | undefined;
    onFocusCapture?: import('react').FocusEventHandler<T> | undefined;
    onBlur?: import('react').FocusEventHandler<T> | undefined;
    onBlurCapture?: import('react').FocusEventHandler<T> | undefined;
    onChange?: import('react').FormEventHandler<T> | undefined;
    onChangeCapture?: import('react').FormEventHandler<T> | undefined;
    onBeforeInput?: import('react').FormEventHandler<T> | undefined;
    onBeforeInputCapture?: import('react').FormEventHandler<T> | undefined;
    onInput?: import('react').FormEventHandler<T> | undefined;
    onInputCapture?: import('react').FormEventHandler<T> | undefined;
    onReset?: import('react').FormEventHandler<T> | undefined;
    onResetCapture?: import('react').FormEventHandler<T> | undefined;
    onSubmit?: import('react').FormEventHandler<T> | undefined;
    onSubmitCapture?: import('react').FormEventHandler<T> | undefined;
    onInvalid?: import('react').FormEventHandler<T> | undefined;
    onInvalidCapture?: import('react').FormEventHandler<T> | undefined;
    onLoad?: import('react').ReactEventHandler<T> | undefined;
    onLoadCapture?: import('react').ReactEventHandler<T> | undefined;
    onError?: import('react').ReactEventHandler<T> | undefined;
    onErrorCapture?: import('react').ReactEventHandler<T> | undefined;
    onKeyDown?: import('react').KeyboardEventHandler<T> | undefined;
    onKeyDownCapture?: import('react').KeyboardEventHandler<T> | undefined;
    onKeyPress?: import('react').KeyboardEventHandler<T> | undefined;
    onKeyPressCapture?: import('react').KeyboardEventHandler<T> | undefined;
    onKeyUp?: import('react').KeyboardEventHandler<T> | undefined;
    onKeyUpCapture?: import('react').KeyboardEventHandler<T> | undefined;
    onAbort?: import('react').ReactEventHandler<T> | undefined;
    onAbortCapture?: import('react').ReactEventHandler<T> | undefined;
    onCanPlay?: import('react').ReactEventHandler<T> | undefined;
    onCanPlayCapture?: import('react').ReactEventHandler<T> | undefined;
    onCanPlayThrough?: import('react').ReactEventHandler<T> | undefined;
    onCanPlayThroughCapture?: import('react').ReactEventHandler<T> | undefined;
    onDurationChange?: import('react').ReactEventHandler<T> | undefined;
    onDurationChangeCapture?: import('react').ReactEventHandler<T> | undefined;
    onEmptied?: import('react').ReactEventHandler<T> | undefined;
    onEmptiedCapture?: import('react').ReactEventHandler<T> | undefined;
    onEncrypted?: import('react').ReactEventHandler<T> | undefined;
    onEncryptedCapture?: import('react').ReactEventHandler<T> | undefined;
    onEnded?: import('react').ReactEventHandler<T> | undefined;
    onEndedCapture?: import('react').ReactEventHandler<T> | undefined;
    onLoadedData?: import('react').ReactEventHandler<T> | undefined;
    onLoadedDataCapture?: import('react').ReactEventHandler<T> | undefined;
    onLoadedMetadata?: import('react').ReactEventHandler<T> | undefined;
    onLoadedMetadataCapture?: import('react').ReactEventHandler<T> | undefined;
    onLoadStart?: import('react').ReactEventHandler<T> | undefined;
    onLoadStartCapture?: import('react').ReactEventHandler<T> | undefined;
    onPause?: import('react').ReactEventHandler<T> | undefined;
    onPauseCapture?: import('react').ReactEventHandler<T> | undefined;
    onPlay?: import('react').ReactEventHandler<T> | undefined;
    onPlayCapture?: import('react').ReactEventHandler<T> | undefined;
    onPlaying?: import('react').ReactEventHandler<T> | undefined;
    onPlayingCapture?: import('react').ReactEventHandler<T> | undefined;
    onProgress?: import('react').ReactEventHandler<T> | undefined;
    onProgressCapture?: import('react').ReactEventHandler<T> | undefined;
    onRateChange?: import('react').ReactEventHandler<T> | undefined;
    onRateChangeCapture?: import('react').ReactEventHandler<T> | undefined;
    onResize?: import('react').ReactEventHandler<T> | undefined;
    onResizeCapture?: import('react').ReactEventHandler<T> | undefined;
    onSeeked?: import('react').ReactEventHandler<T> | undefined;
    onSeekedCapture?: import('react').ReactEventHandler<T> | undefined;
    onSeeking?: import('react').ReactEventHandler<T> | undefined;
    onSeekingCapture?: import('react').ReactEventHandler<T> | undefined;
    onStalled?: import('react').ReactEventHandler<T> | undefined;
    onStalledCapture?: import('react').ReactEventHandler<T> | undefined;
    onSuspend?: import('react').ReactEventHandler<T> | undefined;
    onSuspendCapture?: import('react').ReactEventHandler<T> | undefined;
    onTimeUpdate?: import('react').ReactEventHandler<T> | undefined;
    onTimeUpdateCapture?: import('react').ReactEventHandler<T> | undefined;
    onVolumeChange?: import('react').ReactEventHandler<T> | undefined;
    onVolumeChangeCapture?: import('react').ReactEventHandler<T> | undefined;
    onWaiting?: import('react').ReactEventHandler<T> | undefined;
    onWaitingCapture?: import('react').ReactEventHandler<T> | undefined;
    onAuxClick?: import('react').MouseEventHandler<T> | undefined;
    onAuxClickCapture?: import('react').MouseEventHandler<T> | undefined;
    onClick?: import('react').MouseEventHandler<T> | undefined;
    onClickCapture?: import('react').MouseEventHandler<T> | undefined;
    onContextMenu?: import('react').MouseEventHandler<T> | undefined;
    onContextMenuCapture?: import('react').MouseEventHandler<T> | undefined;
    onDoubleClick?: import('react').MouseEventHandler<T> | undefined;
    onDoubleClickCapture?: import('react').MouseEventHandler<T> | undefined;
    onDrag?: import('react').DragEventHandler<T> | undefined;
    onDragCapture?: import('react').DragEventHandler<T> | undefined;
    onDragEnd?: import('react').DragEventHandler<T> | undefined;
    onDragEndCapture?: import('react').DragEventHandler<T> | undefined;
    onDragEnter?: import('react').DragEventHandler<T> | undefined;
    onDragEnterCapture?: import('react').DragEventHandler<T> | undefined;
    onDragExit?: import('react').DragEventHandler<T> | undefined;
    onDragExitCapture?: import('react').DragEventHandler<T> | undefined;
    onDragLeave?: import('react').DragEventHandler<T> | undefined;
    onDragLeaveCapture?: import('react').DragEventHandler<T> | undefined;
    onDragOver?: import('react').DragEventHandler<T> | undefined;
    onDragOverCapture?: import('react').DragEventHandler<T> | undefined;
    onDragStart?: import('react').DragEventHandler<T> | undefined;
    onDragStartCapture?: import('react').DragEventHandler<T> | undefined;
    onDrop?: import('react').DragEventHandler<T> | undefined;
    onDropCapture?: import('react').DragEventHandler<T> | undefined;
    onMouseDown?: import('react').MouseEventHandler<T> | undefined;
    onMouseDownCapture?: import('react').MouseEventHandler<T> | undefined;
    onMouseMoveCapture?: import('react').MouseEventHandler<T> | undefined;
    onMouseOut?: import('react').MouseEventHandler<T> | undefined;
    onMouseOutCapture?: import('react').MouseEventHandler<T> | undefined;
    onMouseOver?: import('react').MouseEventHandler<T> | undefined;
    onMouseOverCapture?: import('react').MouseEventHandler<T> | undefined;
    onMouseUp?: import('react').MouseEventHandler<T> | undefined;
    onMouseUpCapture?: import('react').MouseEventHandler<T> | undefined;
    onSelect?: import('react').ReactEventHandler<T> | undefined;
    onSelectCapture?: import('react').ReactEventHandler<T> | undefined;
    onTouchCancel?: import('react').TouchEventHandler<T> | undefined;
    onTouchCancelCapture?: import('react').TouchEventHandler<T> | undefined;
    onTouchEnd?: import('react').TouchEventHandler<T> | undefined;
    onTouchEndCapture?: import('react').TouchEventHandler<T> | undefined;
    onTouchMove?: import('react').TouchEventHandler<T> | undefined;
    onTouchMoveCapture?: import('react').TouchEventHandler<T> | undefined;
    onTouchStart?: import('react').TouchEventHandler<T> | undefined;
    onTouchStartCapture?: import('react').TouchEventHandler<T> | undefined;
    onPointerDown?: import('react').PointerEventHandler<T> | undefined;
    onPointerDownCapture?: import('react').PointerEventHandler<T> | undefined;
    onPointerMove?: import('react').PointerEventHandler<T> | undefined;
    onPointerMoveCapture?: import('react').PointerEventHandler<T> | undefined;
    onPointerUp?: import('react').PointerEventHandler<T> | undefined;
    onPointerUpCapture?: import('react').PointerEventHandler<T> | undefined;
    onPointerCancel?: import('react').PointerEventHandler<T> | undefined;
    onPointerCancelCapture?: import('react').PointerEventHandler<T> | undefined;
    onPointerEnter?: import('react').PointerEventHandler<T> | undefined;
    onPointerLeave?: import('react').PointerEventHandler<T> | undefined;
    onPointerOver?: import('react').PointerEventHandler<T> | undefined;
    onPointerOverCapture?: import('react').PointerEventHandler<T> | undefined;
    onPointerOut?: import('react').PointerEventHandler<T> | undefined;
    onPointerOutCapture?: import('react').PointerEventHandler<T> | undefined;
    onGotPointerCapture?: import('react').PointerEventHandler<T> | undefined;
    onGotPointerCaptureCapture?: import('react').PointerEventHandler<T> | undefined;
    onLostPointerCapture?: import('react').PointerEventHandler<T> | undefined;
    onLostPointerCaptureCapture?: import('react').PointerEventHandler<T> | undefined;
    onScroll?: import('react').UIEventHandler<T> | undefined;
    onScrollCapture?: import('react').UIEventHandler<T> | undefined;
    onWheel?: import('react').WheelEventHandler<T> | undefined;
    onWheelCapture?: import('react').WheelEventHandler<T> | undefined;
    onAnimationStart?: import('react').AnimationEventHandler<T> | undefined;
    onAnimationStartCapture?: import('react').AnimationEventHandler<T> | undefined;
    onAnimationEnd?: import('react').AnimationEventHandler<T> | undefined;
    onAnimationEndCapture?: import('react').AnimationEventHandler<T> | undefined;
    onAnimationIteration?: import('react').AnimationEventHandler<T> | undefined;
    onAnimationIterationCapture?: import('react').AnimationEventHandler<T> | undefined;
    onTransitionEnd?: import('react').TransitionEventHandler<T> | undefined;
    onTransitionEndCapture?: import('react').TransitionEventHandler<T> | undefined;
};
export default useMouseTracking;
